class Management::StatisticsController < ManagementController
  include RepositoriesProxy
  #before_action :set_statistics
  before_action :authenticate_user!, except: [:index, :show, :like]

  #inicialização, primeira query
  @@flag = 0

  def index
    #a cada novo login atualiza as estatísticas
    if @@flag == 0 || @@user != current_user
      @@user =  current_user
      set_statistics
      @@flag = 1
    end

    @n_users = @@n_users
    @n_collections = @@n_collections
    @n_non_visualised = @@n_non_visualised
    @n_learning_objects = @@n_learning_objects
    @total_accesses= User.sum("sign_in_count")
  end

  def users
    #missing roles
    @n_users = User.count
    @n_curators = 0
    @n_admins = 0
    @n_teachers = 0
    User.includes(:roles).all.each do |u|
      if !u.roles[0].nil?
        if u.roles[0]["name"] == "curator"
          @n_curators += 1
        elsif u.roles[0]["name"] == "admin"
          @n_admins += 1
        elsif u.roles[0]["name"] == "teacher"
          @n_teachers +=1
        end
      end
    end

  end

  def accesses
    #usar o logstash e kibana
    #enquanto isso, uso o sign_in_count do ActiveRecord
    @total_accesses= User.sum("sign_in_count")


  end

  def collections
    if @@flag == 0 || @@user != current_user
      @@user =  current_user
      set_statistics
      @@flag = 1
    end
    @n_collections = @@n_collections || []
  end


  def learning_objects
    if @@flag == 0 || @@user != current_user
      @@user =  current_user
      @@flag = 1
      set_statistics
    end
    @n_learning_objects = @@n_learning_objects
    @most_visualised = @@most_visualised
    @n_non_visualised = @@n_non_visualised

  end


  def set_statistics
    @@n_users = User.count
    @@n_collections = collection_repository.get_number_of_collections || []
    @@n_learning_objects = learning_object_repository.count_all || []
    @@n_non_visualised = learning_object_repository.get_number_of_non_visualised || []
    @@most_visualised = learning_object_repository.get_most_visualised || []
    @@n_views = learning_object_repository.get_number_of("Views") || []
   end

  def views

  end

end
