class Orientdb::Bookmarks < Collection
  include ActiveModel::Model
  include OrientDbSerializable
  include RepositoriesProxy

  attr_accessor :id, :owner, :learning_objects, :last_modified
  validates_presence_of :id, :owner

  def add(learning_object)
    learning_objects.append learning_object
  end

  def remove(learning_object)
    learning_objects.delete_if { |x| x.id == learning_object.id }
  end

end
