class ImportLearningObjectWorker
  include Sidekiq::Worker
  sidekiq_options queue: :import
  include RepositoriesProxy

  def perform(rid)
    object = learning_object_repository.find(rid)

    LearningObject.create do |o|
      o.name = object.name
      o.created_at = object.created_at
      o.updated_at = object.last_modified
      o.status = object.status
      o.author = object.author
      o.description = object.description
      o.school_level = object.grade_level
      o.id_dspace = object.id_dspace
      o.published_at = object.published_at
      o.score = object.score
      o.thumbnail = object.thumbnail
      o.type = object.type
    end

  end
end
