# This file should contain all the record creation needed to seed the database with its default values.
# The data can then be loaded with the rake db:seed (or created alongside the db with db:setup).
#
# Examples:
#
#   cities = City.create([{ name: 'Chicago' }, { name: 'Copenhagen' }])
#   Mayor.create(name: 'Emanuel', city: cities.first)
Role.create(name: 'teacher', description: 'This role represents a Teacher in Portal MEC.')
Role.create(name: 'admin', description: 'This role represents an MEC Admin, that can perform any action.')
Role.create(name: 'curator', description: 'This role represents a content Curator in Portal MEC.')

# create the default admin
User.create!(
  email: 'admin@inf.ufpr.br',
  name: 'admin',
  password: '123mudar',
  roles: [Role.admin]
)

# data for portalmec
Institution.create(name: 'C3SL/UFPR', address: 'Centro Politécnico', city: 'Curitiba', country: 'Brasil', description: 'Centro de Computação Científica e Software Livre')
Institution.create(name: 'University of Colorado at Boulder, Physics Education Technology (PhET)')
Institution.create(name: 'TV Escola')
Institution.create(name: 'Portal Domínio Público')
Institution.create(name: 'Portal Dia-a-dia Educação')
Institution.create(name: 'Banco Internacional de Objetos Educacionais', description: 'Itens carregados do site http://objetoseducacionais2.mec.gov.br/')
